Zandronum Chat @
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003282Doomseeker[All Projects] Bugpublic2017-10-03 05:422018-02-15 02:06
Assigned ToZalewa 
Platformx86_64 (really cross-platform)OSDebian GNU/LinuxOS Versionbuster/sid
Product Version1.1 
Target Version1.2Fixed in Version1.2 
Summary0003282: Omitting file from --version-json command line parameter doesn't print to standard output
DescriptionThe --version-json command line parameter requires a file. It should be changed to optional, and output to stdout at least when the file is omitted after the parameter.
Steps To Reproduce
$ doomseeker --version-json                             
[05:35:51] No file specified!
Additional Information
doomseeker --version-json /dev/stdout
works. This is not ideal, and doesn't work very well with shell redirection to cat/less/more etc.

This should be shell-agnostic to any POSIX-like shell, but my choice of shell here was mksh:

$ echo $SHELL
Attached Files

- Relationships
related to 0003247confirmedWubTheCaptain Doomseeker's manual page (mdoc/nroff) is missing or incomplete 
related to 0003372needs testingZalewa Diagnostics messages are written to stdout (instead of stderr) 
child of 0003279acknowledged List of Debian issues (misc/non-policy) 

-  Notes
User avatar (0018419)
WubTheCaptain (developer)
2017-10-03 06:00

By the way, the --help command describes the file to be optional (when it really is not) with brackets:

--version-json [file]
    Prints version info on Doomseeker and all
    plugins in JSON format to specified file,
    then closes the program.
User avatar (0018433)
Zalewa (developer)
2017-10-04 16:19

I agree. The reason I omitted that originally was because this cmdline arg is used for preparing the update packages for auto-updater. On Windows, programs compiled with /SUBSYSTEM:WINDOWS won't print anything to stdout/stderr. Hence it's always necessary to pass the argument.

It won't do harm to also support the argumentless version.
User avatar (0019037)
Zalewa (developer)
2018-02-14 12:02

First of all, logs were written to stdout so they needed to be moved to stderr: [^]

Once this was done, "--version-json" could be instructed to write to stdout if there's no file or if file was specified as '-' [^]
User avatar (0019040)
WubTheCaptain (developer)
2018-02-15 01:40

It's not perhaps ideal, but at least the following works for JSON only stdout:

$ ./doomseeker --version-json 2>/dev/null | less
$ ./doomseeker --version-json - 2>/dev/null | less
User avatar (0019041)
WubTheCaptain (developer)
2018-02-15 01:47
edited on: 2018-02-15 01:48

Since something like standard UNIX shell redirection is now also possible:

./doomseeker --version-json > /tmp/version-info.json

with proper JSON instead of the "no file specified" error in the output, I'm going to assume this is resolved.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2017-10-03 05:42 WubTheCaptain New Issue
2017-10-03 05:43 WubTheCaptain Relationship added child of 0003279
2017-10-03 05:44 WubTheCaptain Priority normal => low
2017-10-03 05:47 WubTheCaptain Description Updated View Revisions
2017-10-03 06:00 WubTheCaptain Note Added: 0018419
2017-10-04 16:19 Zalewa Note Added: 0018433
2017-10-04 16:19 Zalewa Assigned To => Zalewa
2017-10-04 16:19 Zalewa Status new => acknowledged
2017-10-07 08:56 WubTheCaptain Relationship added related to 0003247
2018-02-14 11:02 Zalewa Status acknowledged => assigned
2018-02-14 12:02 Zalewa Note Added: 0019037
2018-02-14 12:02 Zalewa Status assigned => needs review
2018-02-15 01:18 WubTheCaptain Target Version => 1.2
2018-02-15 01:40 WubTheCaptain Note Added: 0019040
2018-02-15 01:47 WubTheCaptain Note Added: 0019041
2018-02-15 01:47 WubTheCaptain Status needs review => resolved
2018-02-15 01:47 WubTheCaptain Fixed in Version => 1.2
2018-02-15 01:47 WubTheCaptain Resolution open => fixed
2018-02-15 01:48 WubTheCaptain Note Edited: 0019041 View Revisions
2018-02-15 02:06 WubTheCaptain Relationship added related to 0003372

Questions or other issues? Contact Us.


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker